Bug 114192 - (NET E1000) panic in driver reproducible w/ distccd
(NET E1000) panic in driver reproducible w/ distccd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 15:20 EST by Benjamin S. Scarlet
Modified: 2013-07-02 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel Panic text (2.23 KB, text/plain)
2004-01-23 15:22 EST, Benjamin S. Scarlet
no flags Details
lspci output (1.28 KB, text/plain)
2004-01-23 15:24 EST, Benjamin S. Scarlet
no flags Details
Patch to mm/page_alloc.c from 2.4.27. Fixes panic caused by distcc. (1.93 KB, patch)
2004-08-15 10:24 EDT, Mikko Huhtala
no flags Details | Diff

  None (edit)
Description Benjamin S. Scarlet 2004-01-23 15:20:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Kernel panics that seem to be related to the e1000 driver or network
code. I'm trying to set up the distccd daemon to run distributed
compiles. This is userspace code, I'm not concerned about whether or
not it works (it does, until the kernel panics). On my hardware,
something like 50% of the time the kernel panics after distccd
processes a request.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2149.nptl

How reproducible:
Sometimes

Steps to Reproduce:
1. install distcc from
http://distcc.samba.org/ftp/distcc/distcc-2.12.1.tar.bz2 on both the
test machine (for distccd to demonstrate the problem) and some other
client machine (for the distcc client to trigger the problem). The
client machine will need to be able to make tcp connections to the
test machine, so a firewall on the test machine might get in the way.
Specifically, port 3632 should be open on the test machine.
2. make sure you've got gcc on both machines
3. on the test machine, run, as root, with PATH set to find gcc
#distccd --daemon --user daemon
4. on the client, as any user, make a typical hello.c
5. on the client set the environment variable DISTCC_HOSTS to the name
of the test machine, e.g.
$ export DISTCC_HOSTS="machinetopanic"
6. on the client machine, run (repeatedly if necessary to get a panic)
$ distcc gcc -c hello.c -o hello.o


Actual Results:  The test machine's kernel panics after the distccd
daemon responds to a request.

Expected Results:  Don't Panic

Additional info:

This problem occurs for me on a dual Xeon (a Dell Precision 450)
running an SMP kernel.
Comment 1 Benjamin S. Scarlet 2004-01-23 15:22:10 EST
Created attachment 97221 [details]
Kernel Panic text

This kernel panic text was captured over a serial console
Comment 2 Benjamin S. Scarlet 2004-01-23 15:24:02 EST
Created attachment 97222 [details]
lspci output

For hardware version, in particular the ethernet controller, this is the output
of lspci
Comment 3 Mikko Huhtala 2004-08-07 12:20:17 EDT
I can confirm this with the 3c59x driver as well as e1000. Distcc FAQ
mentions the TG3 driver for Tigon adapters (I don't have that
hardware), so it seems this is not specific to any one driver. I tried
distcc version 2.16. The kernel / hardware combinations of panicky
systems are as follows:


kernel:   2.4.22-1.2197.nptlsmp
chipset:  Intel Corp. E7500 Memory Controller Hub (rev 03)
ethernet: Intel Corp. 82545EM Gigabit Ethernet Controller (Copper)
(rev 01)


kernel:   2.4.22-1.2194.nptl
chipset:  Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 04)
ethernet: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)


kernel:   2.4.22-1.2194.nptl
chipset:  Intel Corp. 82850 850 (Tehama) Chipset Host Bridge (MCH)
(rev 02)
ethernet: Intel Corp. 82545EM Gigabit Ethernet Controller (Copper)
(rev 01)


kernel:   2.4.22-1.2194.nptl
chipset:  Intel Corp. 82850 850 (Tehama) Chipset AGP Bridge (rev 04)
ethernet: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
Comment 4 Mikko Huhtala 2004-08-15 10:24:07 EDT
Created attachment 102745 [details]
Patch to mm/page_alloc.c from 2.4.27. Fixes panic caused by distcc.
Comment 5 Mikko Huhtala 2004-08-15 10:26:55 EDT
This has been fixed in 2.4.27. The patch originally from Andrea
Arcangeli (attached above) and it applies cleanly to FC1 kernel
2.4.22-1.2199. Works for me with both e1000 and 3c59x. Could the patch
be included in an FC1 kernel update?
Comment 6 David Lawrence 2004-09-29 16:00:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.